Squeel 1.1.0 released!

Comments

It's taken a good bit of work to get Squeel ready for Active Record 4.0, but I'm happy to announce I've just released Squeel 1.1.0, which is 4.0-compatible!

What's new?

Most of the work is behind-the-scenes and not really affecting day-to-day users of Squeel, but here's the changelog:

  • Support for Active Record 4.0.0!
  • Deprecated core extensions. In Squeel 2.0, the DSL will be the way to construct queries, and Symbol/Hash extensions will go away.
  • Prefix generated sifter methods with sifter_ so as not to interfere with similarly-named scopes.
  • No longer mutate And nodes when using & and - on the node.
comments powered by Disqus